org.apache.sysds.runtime.io

## Class WriterTextCSVParallel

- java.lang.Object
- - org.apache.sysds.runtime.io.MatrixWriter
  - - org.apache.sysds.runtime.io.WriterTextCSV
    - - org.apache.sysds.runtime.io.WriterTextCSVParallel

    public class WriterTextCSVParallel
    extends WriterTextCSV

### Field Summary

### Fields inherited from class org.apache.sysds.runtime.io.WriterTextCSV

`BLOCKSIZE_J`

### Constructor Summary

Constructors
Constructor and Description
`WriterTextCSVParallel(FileFormatPropertiesCSV props)`

### Method Summary

### Methods inherited from class org.apache.sysds.runtime.io.WriterTextCSV

`addHeaderToCSV, writeEmptyMatrixToHDFS, writeMatrixToHDFS`

### Methods inherited from class org.apache.sysds.runtime.io.MatrixWriter

`createMatrixBlocksForReuse, getMatrixBlockForReuse, writeMatrixToHDFS`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WriterTextCSVParallel

    public WriterTextCSVParallel(FileFormatPropertiesCSV props)